CREATE TABLE msc_aggr_measure_data (
    PLAN_ID              NUMBER       ,
    PROFILE_ID           NUMBER(18, 0),
    MEASURE_ID           NUMBER       ,
    PRD_LVL_ID           NUMBER       ,
    PRD_LVL_MEMBER_ID    NUMBER       ,
    ORG_LVL_ID           NUMBER       ,
    ORG_LVL_MEMBER_ID    NUMBER       ,
    CUS_LVL_ID           NUMBER       ,
    CUS_LVL_MEMBER_ID    NUMBER       ,
    SUP_LVL_ID           NUMBER       ,
    SUP_LVL_MEMBER_ID    NUMBER       ,
    DCS_LVL_ID           NUMBER       ,
    DCS_LVL_MEMBER_ID    NUMBER       ,
    TIM_LVL_ID           NUMBER       ,
    TIM_LVL_MEMBER_ID    NUMBER       ,
    CTO_LVL_MEMBER_ID    NUMBER       ,
    SOR_LVL_ID           NUMBER       ,
    SOR_LVL_MEMBER_ID    NUMBER       ,
    ORD_LVL_ID           NUMBER       ,
    ORD_LVL_MEMBER_ID    NUMBER       ,
    EXP_LVL_ID           NUMBER       ,
    EXP_LVL_MEMBER_ID    NUMBER       ,
    RES_LVL_ID           NUMBER       ,
    RES_LVL_MEMBER_ID    NUMBER       ,
    FCM_LVL_ID           NUMBER       ,
    FCM_LVL_MEMBER_ID    NUMBER       ,
    CLG_LVL_ID           NUMBER       ,
    CLG_LVL_MEMBER_ID    NUMBER       ,
    UOM                  VARCHAR2(200),
    COMPONENT_CODE       VARCHAR2(20) ,
    COMPONENT_MODEL      VARCHAR2(20) ,
    VALUE_NUMBER         NUMBER       ,
    CURRENCY             VARCHAR2(20) ,
    VALUE_DATE           DATE         ,
    VALUE_TEXT           VARCHAR2(400),
    CREATED_BY           VARCHAR2(256)    NOT NULL,
    CREATION_DATE        TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY      VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE     TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN    VARCHAR2(128),
    REFRESH_NUMBER       NUMBER(18, 0)    NOT NULL,
    DELETED_FLAG         NUMBER       ,
    PLAN_ID              NUMBER       ,
    PROFILE_ID           NUMBER(18, 0),
    MEASURE_ID           NUMBER       ,
    PRD_LVL_ID           NUMBER       ,
    PRD_LVL_MEMBER_ID    NUMBER       ,
    ORG_LVL_ID           NUMBER       ,
    ORG_LVL_MEMBER_ID    NUMBER       ,
    CUS_LVL_ID           NUMBER       ,
    CUS_LVL_MEMBER_ID    NUMBER       ,
    SUP_LVL_ID           NUMBER       ,
    SUP_LVL_MEMBER_ID    NUMBER       ,
    DCS_LVL_ID           NUMBER       ,
    DCS_LVL_MEMBER_ID    NUMBER       ,
    TIM_LVL_ID           NUMBER       ,
    TIM_LVL_MEMBER_ID    NUMBER       ,
    CTO_LVL_MEMBER_ID    NUMBER       ,
    SOR_LVL_ID           NUMBER       ,
    SOR_LVL_MEMBER_ID    NUMBER       ,
    ORD_LVL_ID           NUMBER       ,
    ORD_LVL_MEMBER_ID    NUMBER       ,
    EXP_LVL_ID           NUMBER       ,
    EXP_LVL_MEMBER_ID    NUMBER       ,
    RES_LVL_ID           NUMBER       ,
    RES_LVL_MEMBER_ID    NUMBER       ,
    FCM_LVL_ID           NUMBER       ,
    FCM_LVL_MEMBER_ID    NUMBER       ,
    CLG_LVL_ID           NUMBER       ,
    CLG_LVL_MEMBER_ID    NUMBER       ,
    UOM                  VARCHAR2(200),
    COMPONENT_CODE       VARCHAR2(20) ,
    COMPONENT_MODEL      VARCHAR2(20) ,
    VALUE_NUMBER         NUMBER       ,
    CURRENCY             VARCHAR2(20) ,
    VALUE_DATE           DATE         ,
    VALUE_TEXT           VARCHAR2(400),
    CREATED_BY           VARCHAR2(256)    NOT NULL,
    CREATION_DATE        TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY      VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE     TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN    VARCHAR2(128),
    REFRESH_NUMBER       NUMBER(18, 0)    NOT NULL,
    DELETED_FLAG         NUMBER       ,
    CONSTRAINT pk_msc_aggr_measure_data PRIMARY KEY (PLAN_ID, PROFILE_ID, MEASURE_ID, PRD_LVL_ID, PRD_LVL_MEMBER_ID, ORG_LVL_ID, ORG_LVL_MEMBER_ID, CUS_LVL_ID, CUS_LVL_MEMBER_ID, SUP_LVL_ID, SUP_LVL_MEMBER_ID, DCS_LVL_ID, DCS_LVL_MEMBER_ID, TIM_LVL_ID, TIM_LVL_MEMBER_ID, CTO_LVL_MEMBER_ID, SOR_LVL_ID, SOR_LVL_MEMBER_ID, ORD_LVL_ID, ORD_LVL_MEMBER_ID, EXP_LVL_ID, EXP_LVL_MEMBER_ID, RES_LVL_ID, RES_LVL_MEMBER_ID, FCM_LVL_ID, FCM_LVL_MEMBER_ID, CLG_LVL_ID, CLG_LVL_MEMBER_ID, PLAN_ID, PROFILE_ID, MEASURE_ID, PRD_LVL_ID, PRD_LVL_MEMBER_ID, ORG_LVL_ID, ORG_LVL_MEMBER_ID, CUS_LVL_ID, CUS_LVL_MEMBER_ID, SUP_LVL_ID, SUP_LVL_MEMBER_ID, DCS_LVL_ID, DCS_LVL_MEMBER_ID, TIM_LVL_ID, TIM_LVL_MEMBER_ID, CTO_LVL_MEMBER_ID, SOR_LVL_ID, SOR_LVL_MEMBER_ID, ORD_LVL_ID, ORD_LVL_MEMBER_ID, EXP_LVL_ID, EXP_LVL_MEMBER_ID, RES_LVL_ID, RES_LVL_MEMBER_ID, FCM_LVL_ID, FCM_LVL_MEMBER_ID, CLG_LVL_ID, CLG_LVL_MEMBER_ID)
);
